const webserver = require('./webserver');
const Cumulio = require('cumulio');
require('dotenv').load();
var app = webserver();

var client = new Cumulio({
  api_key: process.env.CUMULIO_API_KEY,
  api_token: process.env.CUMULIO_API_TOKEN
});

app.get('/authorization', function (req, res) {
  client.create('authorization', {
  type: 'temporary',
	expiry: new Date(new Date().getTime() + 600 * 1000),
    securables: [
      'b312f924-e87d-4325-99ce-56fe06e49d77',
      'dc161c04-826e-4184-9096-acf0bdecf19b',
    ],
    filters: [
      {
        clause: 'where',
        origin: 'global',
        securable_id: 'dc161c04-826e-4184-9096-acf0bdecf19b',
        column_id: '797f2730-d57f-4945-9f3a-ae4cc3cb4620',
        expression: '? = ?',
        value: req.query.name
      }
    ]
  }).then(function (result) {
    return res.status(200).json(result);
  });
});